Bug 82515 - hostname resolution fails
Summary: hostname resolution fails
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
(Show other bugs)
Version: 9
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-22 23:19 UTC by Paul Schmehl
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-11 14:08:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2003:183 normal SHIPPED_LIVE Updated redhat-config-network package available 2003-08-11 04:00:00 UTC

Description Paul Schmehl 2003-01-22 23:19:49 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.2) Gecko/20021120
Netscape/7.01

Description of problem:
This isn't a redhat-config-network bug (at least I don't think it is), but I
couldn't find anything more appropriate to class it as.

After the box is up for a while, hostname resolution fails completely.  The only
way I've found to restore it is to restart networking (/etc/rc.d/init.d/network
restart).

I wasn't running nscd, so I've enabled that to see if it will resolve the problem.

I haven't been able to determine if this happens after a certain time frame or
after running a specific application, but it fails consistently, at least on a
daily basis.

Typically evolution will begin to complain of being unable to ping an imap host.
 This will go on for while, and then evolution will completely lose its
connection to the mail server.  I also can't use any network utilities (ping,
traceroute, dig, nmap, etc.)

If an strace will help, I can provide one.

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try


Additional info:

Comment 1 Harald Hoyer 2003-01-23 10:15:39 UTC
dhcp?

Comment 2 Harald Hoyer 2003-01-23 10:16:38 UTC
please provide /etc/sysconfig/network-scripts/ifcfg-eth0

some /var/log/messages of interest?



Comment 3 Paul Schmehl 2003-01-23 18:22:23 UTC
To answer your questions:

I using dhcp, but my IP address is fixed.  IOW, I always get the same IP when
the lease is renewed.

cat /etc/sysconfig/network-scripts/ifcfg-eth0
DEVICE=eth0
BOOTPROTO=dhcp
ONBOOT=yes

egrep '(error|warn|fatal)' /var/log/messages
Jan 22 16:26:13 utd49554 sysctl: error: permission denied on key
'net.ipv4.ip_forward'
Jan 22 16:26:13 utd49554 sysctl: error: permission denied on key
'net.ipv4.conf.default.rp_filter'
Jan 22 16:26:13 utd49554 sysctl: error: permission denied on key 'kernel.sysrq'
Jan 22 16:26:13 utd49554 sysctl: error: permission denied on key
'kernel.core_uses_pid'



Comment 4 Harald Hoyer 2003-08-11 14:08:14 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2003-183.html



Note You need to log in before you can comment on or make changes to this bug.